﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudDialog>
    <DialogContent>
        <MudText Typo="Typo.h5">Create Permission</MudText>
    </DialogContent>
    <DialogActions>
        <MudStack>
            <MudText>@(Common.Spacer(120))</MudText>
            <MudSelectExtended Dense="true"
                               ItemCollection="@EligibleUsers"
                               SearchBox="true"
                               SearchBoxAutoFocus="true"
                               T="string"
                               Label="Search"
                               AnchorOrigin="Origin.BottomCenter"
                               Variant="Variant.Filled"
                               SearchBoxClearable="true"
                               @bind-Value="@SelectedUser" />
            <PermissionTree @bind-Permissions="Perms" />
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Color="Color.Secondary" Variant="Variant.Filled" Disabled="@IsCreatingPermission" OnClick="OnCancel">Cancel</MudButton>
                <MudButton Color="Color.Primary" Variant="Variant.Filled" Disabled="@CreateButtonDisabled" OnClick="OnCreate">
                    @if (IsCreatingPermission)
                    {
                        <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                    }
                    <MudText Class="ms-2">Create</MudText>
                </MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>